<template>
    <h1>${message}</h1>

    <form>
      <label>Data Inicial</label>
      <input type="date" name="dia-inicial" id="id-dia-inicial" value.bind="diaInicial" /><br/>

      <label>Dia Final</label>
      <input type="date" name="dia-final" id="id-dia-final" value.bind="diaFinal" /><br/>

      <label>Valor inicial</label>
      <input type="number" name="valor-inicial" step=".01" id="id-valor-inicial" value.bind="valorInicial" /><br/>

      <label>Valor final</label>
      <input type="number" name="valor-final" step=".01" id="id-valor-final" value.bind="valorFinal"/><br/>

      <label for="conta">Conta: </label>
      <select value.bind="conta">
        <option model.bind="null">Choose...</option>
        <option repeat.for="contaT of contas" model.bind="contaT">${contaT.nome}</option>
      </select><br/>

      <button click.delegate="filter()">Filtrar</button>
    </form>
  
    <table>
      <thead>
        <tr>
          <td>Data</td>
          <td>Tipo</td>
          <td>Valor</td>
          <td>Conta</td>
        </tr>
      </thead>
      <tbody>
        <tr repeat.for="lancamento of lancamentos">
          <td>${lancamento.data}</td>
          <td>${lancamento.tipo}</td>
          <td>${lancamento.valor}</td>
          <td>${lancamento.conta}</td>
        </tr>
      </tbody>
    </table>

    <a route-href="route: lancamento">
      <button>Criar novo lançamento</button>
    </a>
  </template>
  